"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Params = exports.ClaimAuthorization = void 0;

var _claim_record = require("./claim_record");

var _timestamp = require("../../../google/protobuf/timestamp");

var _duration = require("../../../google/protobuf/duration");

var _m0 = _interopRequireWildcard(require("protobufjs/minimal"));

var _helpers = require("@osmonauts/helpers");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function createBaseClaimAuthorization() {
  return {
    contractAddress: "",
    action: 0
  };
}

var ClaimAuthorization = {
  encode: function encode(message) {
    var writer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _m0.Writer.create();

    if (message.contractAddress !== "") {
      writer.uint32(10).string(message.contractAddress);
    }

    if (message.action !== 0) {
      writer.uint32(16).int32(message.action);
    }

    return writer;
  },
  decode: function decode(input, length) {
    var reader = input instanceof _m0.Reader ? input : new _m0.Reader(input);
    var end = length === undefined ? reader.len : reader.pos + length;
    var message = createBaseClaimAuthorization();

    while (reader.pos < end) {
      var tag = reader.uint32();

      switch (tag >>> 3) {
        case 1:
          message.contractAddress = reader.string();
          break;

        case 2:
          message.action = reader.int32();
          break;

        default:
          reader.skipType(tag & 7);
          break;
      }
    }

    return message;
  },
  fromJSON: function fromJSON(object) {
    return {
      contractAddress: (0, _helpers.isSet)(object.contractAddress) ? String(object.contractAddress) : "",
      action: (0, _helpers.isSet)(object.action) ? (0, _claim_record.actionFromJSON)(object.action) : 0
    };
  },
  toJSON: function toJSON(message) {
    var obj = {};
    message.contractAddress !== undefined && (obj.contractAddress = message.contractAddress);
    message.action !== undefined && (obj.action = (0, _claim_record.actionToJSON)(message.action));
    return obj;
  },
  fromPartial: function fromPartial(object) {
    var _object$contractAddre, _object$action;

    var message = createBaseClaimAuthorization();
    message.contractAddress = (_object$contractAddre = object.contractAddress) !== null && _object$contractAddre !== void 0 ? _object$contractAddre : "";
    message.action = (_object$action = object.action) !== null && _object$action !== void 0 ? _object$action : 0;
    return message;
  }
};
exports.ClaimAuthorization = ClaimAuthorization;

function createBaseParams() {
  return {
    airdropEnabled: false,
    airdropStartTime: undefined,
    durationUntilDecay: undefined,
    durationOfDecay: undefined,
    claimDenom: "",
    allowedClaimers: []
  };
}

var Params = {
  encode: function encode(message) {
    var writer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _m0.Writer.create();

    if (message.airdropEnabled === true) {
      writer.uint32(8).bool(message.airdropEnabled);
    }

    if (message.airdropStartTime !== undefined) {
      _timestamp.Timestamp.encode((0, _helpers.toTimestamp)(message.airdropStartTime), writer.uint32(18).fork()).ldelim();
    }

    if (message.durationUntilDecay !== undefined) {
      _duration.Duration.encode(message.durationUntilDecay, writer.uint32(26).fork()).ldelim();
    }

    if (message.durationOfDecay !== undefined) {
      _duration.Duration.encode(message.durationOfDecay, writer.uint32(34).fork()).ldelim();
    }

    if (message.claimDenom !== "") {
      writer.uint32(42).string(message.claimDenom);
    }

    var _iterator = _createForOfIteratorHelper(message.allowedClaimers),
        _step;

    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var v = _step.value;
        ClaimAuthorization.encode(v, writer.uint32(50).fork()).ldelim();
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }

    return writer;
  },
  decode: function decode(input, length) {
    var reader = input instanceof _m0.Reader ? input : new _m0.Reader(input);
    var end = length === undefined ? reader.len : reader.pos + length;
    var message = createBaseParams();

    while (reader.pos < end) {
      var tag = reader.uint32();

      switch (tag >>> 3) {
        case 1:
          message.airdropEnabled = reader.bool();
          break;

        case 2:
          message.airdropStartTime = (0, _helpers.fromTimestamp)(_timestamp.Timestamp.decode(reader, reader.uint32()));
          break;

        case 3:
          message.durationUntilDecay = _duration.Duration.decode(reader, reader.uint32());
          break;

        case 4:
          message.durationOfDecay = _duration.Duration.decode(reader, reader.uint32());
          break;

        case 5:
          message.claimDenom = reader.string();
          break;

        case 6:
          message.allowedClaimers.push(ClaimAuthorization.decode(reader, reader.uint32()));
          break;

        default:
          reader.skipType(tag & 7);
          break;
      }
    }

    return message;
  },
  fromJSON: function fromJSON(object) {
    return {
      airdropEnabled: (0, _helpers.isSet)(object.airdropEnabled) ? Boolean(object.airdropEnabled) : false,
      airdropStartTime: (0, _helpers.isSet)(object.airdropStartTime) ? (0, _helpers.fromJsonTimestamp)(object.airdropStartTime) : undefined,
      durationUntilDecay: (0, _helpers.isSet)(object.durationUntilDecay) ? _duration.Duration.fromJSON(object.durationUntilDecay) : undefined,
      durationOfDecay: (0, _helpers.isSet)(object.durationOfDecay) ? _duration.Duration.fromJSON(object.durationOfDecay) : undefined,
      claimDenom: (0, _helpers.isSet)(object.claimDenom) ? String(object.claimDenom) : "",
      allowedClaimers: Array.isArray(object === null || object === void 0 ? void 0 : object.allowedClaimers) ? object.allowedClaimers.map(function (e) {
        return ClaimAuthorization.fromJSON(e);
      }) : []
    };
  },
  toJSON: function toJSON(message) {
    var obj = {};
    message.airdropEnabled !== undefined && (obj.airdropEnabled = message.airdropEnabled);
    message.airdropStartTime !== undefined && (obj.airdropStartTime = message.airdropStartTime.toISOString());
    message.durationUntilDecay !== undefined && (obj.durationUntilDecay = message.durationUntilDecay);
    message.durationOfDecay !== undefined && (obj.durationOfDecay = message.durationOfDecay);
    message.claimDenom !== undefined && (obj.claimDenom = message.claimDenom);

    if (message.allowedClaimers) {
      obj.allowedClaimers = message.allowedClaimers.map(function (e) {
        return e ? ClaimAuthorization.toJSON(e) : undefined;
      });
    } else {
      obj.allowedClaimers = [];
    }

    return obj;
  },
  fromPartial: function fromPartial(object) {
    var _object$airdropEnable, _object$airdropStartT, _object$durationUntil, _object$durationOfDec, _object$claimDenom, _object$allowedClaime;

    var message = createBaseParams();
    message.airdropEnabled = (_object$airdropEnable = object.airdropEnabled) !== null && _object$airdropEnable !== void 0 ? _object$airdropEnable : false;
    message.airdropStartTime = (_object$airdropStartT = object.airdropStartTime) !== null && _object$airdropStartT !== void 0 ? _object$airdropStartT : undefined;
    message.durationUntilDecay = (_object$durationUntil = object.durationUntilDecay) !== null && _object$durationUntil !== void 0 ? _object$durationUntil : undefined;
    message.durationOfDecay = (_object$durationOfDec = object.durationOfDecay) !== null && _object$durationOfDec !== void 0 ? _object$durationOfDec : undefined;
    message.claimDenom = (_object$claimDenom = object.claimDenom) !== null && _object$claimDenom !== void 0 ? _object$claimDenom : "";
    message.allowedClaimers = ((_object$allowedClaime = object.allowedClaimers) === null || _object$allowedClaime === void 0 ? void 0 : _object$allowedClaime.map(function (e) {
      return ClaimAuthorization.fromPartial(e);
    })) || [];
    return message;
  }
};
exports.Params = Params;