import * as _m0 from "protobufjs/minimal";
import { isSet } from "@osmonauts/helpers";

function createBaseWeightedAddress() {
  return {
    address: "",
    weight: ""
  };
}

export const WeightedAddress = {
  encode(message, writer = _m0.Writer.create()) {
    if (message.address !== "") {
      writer.uint32(10).string(message.address);
    }

    if (message.weight !== "") {
      writer.uint32(18).string(message.weight);
    }

    return writer;
  },

  decode(input, length) {
    const reader = input instanceof _m0.Reader ? input : new _m0.Reader(input);
    let end = length === undefined ? reader.len : reader.pos + length;
    const message = createBaseWeightedAddress();

    while (reader.pos < end) {
      const tag = reader.uint32();

      switch (tag >>> 3) {
        case 1:
          message.address = reader.string();
          break;

        case 2:
          message.weight = reader.string();
          break;

        default:
          reader.skipType(tag & 7);
          break;
      }
    }

    return message;
  },

  fromJSON(object) {
    return {
      address: isSet(object.address) ? String(object.address) : "",
      weight: isSet(object.weight) ? String(object.weight) : ""
    };
  },

  toJSON(message) {
    const obj = {};
    message.address !== undefined && (obj.address = message.address);
    message.weight !== undefined && (obj.weight = message.weight);
    return obj;
  },

  fromPartial(object) {
    var _object$address, _object$weight;

    const message = createBaseWeightedAddress();
    message.address = (_object$address = object.address) !== null && _object$address !== void 0 ? _object$address : "";
    message.weight = (_object$weight = object.weight) !== null && _object$weight !== void 0 ? _object$weight : "";
    return message;
  }

};

function createBaseDistributionProportions() {
  return {
    nftIncentives: "",
    developerRewards: ""
  };
}

export const DistributionProportions = {
  encode(message, writer = _m0.Writer.create()) {
    if (message.nftIncentives !== "") {
      writer.uint32(10).string(message.nftIncentives);
    }

    if (message.developerRewards !== "") {
      writer.uint32(18).string(message.developerRewards);
    }

    return writer;
  },

  decode(input, length) {
    const reader = input instanceof _m0.Reader ? input : new _m0.Reader(input);
    let end = length === undefined ? reader.len : reader.pos + length;
    const message = createBaseDistributionProportions();

    while (reader.pos < end) {
      const tag = reader.uint32();

      switch (tag >>> 3) {
        case 1:
          message.nftIncentives = reader.string();
          break;

        case 2:
          message.developerRewards = reader.string();
          break;

        default:
          reader.skipType(tag & 7);
          break;
      }
    }

    return message;
  },

  fromJSON(object) {
    return {
      nftIncentives: isSet(object.nftIncentives) ? String(object.nftIncentives) : "",
      developerRewards: isSet(object.developerRewards) ? String(object.developerRewards) : ""
    };
  },

  toJSON(message) {
    const obj = {};
    message.nftIncentives !== undefined && (obj.nftIncentives = message.nftIncentives);
    message.developerRewards !== undefined && (obj.developerRewards = message.developerRewards);
    return obj;
  },

  fromPartial(object) {
    var _object$nftIncentives, _object$developerRewa;

    const message = createBaseDistributionProportions();
    message.nftIncentives = (_object$nftIncentives = object.nftIncentives) !== null && _object$nftIncentives !== void 0 ? _object$nftIncentives : "";
    message.developerRewards = (_object$developerRewa = object.developerRewards) !== null && _object$developerRewa !== void 0 ? _object$developerRewa : "";
    return message;
  }

};

function createBaseParams() {
  return {
    distributionProportions: undefined,
    weightedDeveloperRewardsReceivers: []
  };
}

export const Params = {
  encode(message, writer = _m0.Writer.create()) {
    if (message.distributionProportions !== undefined) {
      DistributionProportions.encode(message.distributionProportions, writer.uint32(10).fork()).ldelim();
    }

    for (const v of message.weightedDeveloperRewardsReceivers) {
      WeightedAddress.encode(v, writer.uint32(18).fork()).ldelim();
    }

    return writer;
  },

  decode(input, length) {
    const reader = input instanceof _m0.Reader ? input : new _m0.Reader(input);
    let end = length === undefined ? reader.len : reader.pos + length;
    const message = createBaseParams();

    while (reader.pos < end) {
      const tag = reader.uint32();

      switch (tag >>> 3) {
        case 1:
          message.distributionProportions = DistributionProportions.decode(reader, reader.uint32());
          break;

        case 2:
          message.weightedDeveloperRewardsReceivers.push(WeightedAddress.decode(reader, reader.uint32()));
          break;

        default:
          reader.skipType(tag & 7);
          break;
      }
    }

    return message;
  },

  fromJSON(object) {
    return {
      distributionProportions: isSet(object.distributionProportions) ? DistributionProportions.fromJSON(object.distributionProportions) : undefined,
      weightedDeveloperRewardsReceivers: Array.isArray(object === null || object === void 0 ? void 0 : object.weightedDeveloperRewardsReceivers) ? object.weightedDeveloperRewardsReceivers.map(e => WeightedAddress.fromJSON(e)) : []
    };
  },

  toJSON(message) {
    const obj = {};
    message.distributionProportions !== undefined && (obj.distributionProportions = message.distributionProportions ? DistributionProportions.toJSON(message.distributionProportions) : undefined);

    if (message.weightedDeveloperRewardsReceivers) {
      obj.weightedDeveloperRewardsReceivers = message.weightedDeveloperRewardsReceivers.map(e => e ? WeightedAddress.toJSON(e) : undefined);
    } else {
      obj.weightedDeveloperRewardsReceivers = [];
    }

    return obj;
  },

  fromPartial(object) {
    var _object$weightedDevel;

    const message = createBaseParams();
    message.distributionProportions = object.distributionProportions !== undefined && object.distributionProportions !== null ? DistributionProportions.fromPartial(object.distributionProportions) : undefined;
    message.weightedDeveloperRewardsReceivers = ((_object$weightedDevel = object.weightedDeveloperRewardsReceivers) === null || _object$weightedDevel === void 0 ? void 0 : _object$weightedDevel.map(e => WeightedAddress.fromPartial(e))) || [];
    return message;
  }

};