import { Coin } from "../../../cosmos/base/v1beta1/coin";
import * as _m0 from "protobufjs/minimal";
import { isSet } from "@osmonauts/helpers";
export let Action;

(function (Action) {
  Action[Action["ActionInitialClaim"] = 0] = "ActionInitialClaim";
  Action[Action["ActionBidNFT"] = 1] = "ActionBidNFT";
  Action[Action["ActionMintNFT"] = 2] = "ActionMintNFT";
  Action[Action["ActionVote"] = 3] = "ActionVote";
  Action[Action["ActionDelegateStake"] = 4] = "ActionDelegateStake";
  Action[Action["UNRECOGNIZED"] = -1] = "UNRECOGNIZED";
})(Action || (Action = {}));

export function actionFromJSON(object) {
  switch (object) {
    case 0:
    case "ActionInitialClaim":
      return Action.ActionInitialClaim;

    case 1:
    case "ActionBidNFT":
      return Action.ActionBidNFT;

    case 2:
    case "ActionMintNFT":
      return Action.ActionMintNFT;

    case 3:
    case "ActionVote":
      return Action.ActionVote;

    case 4:
    case "ActionDelegateStake":
      return Action.ActionDelegateStake;

    case -1:
    case "UNRECOGNIZED":
    default:
      return Action.UNRECOGNIZED;
  }
}
export function actionToJSON(object) {
  switch (object) {
    case Action.ActionInitialClaim:
      return "ActionInitialClaim";

    case Action.ActionBidNFT:
      return "ActionBidNFT";

    case Action.ActionMintNFT:
      return "ActionMintNFT";

    case Action.ActionVote:
      return "ActionVote";

    case Action.ActionDelegateStake:
      return "ActionDelegateStake";

    default:
      return "UNKNOWN";
  }
}

function createBaseClaimRecord() {
  return {
    address: "",
    initialClaimableAmount: [],
    actionCompleted: []
  };
}

export const ClaimRecord = {
  encode(message, writer = _m0.Writer.create()) {
    if (message.address !== "") {
      writer.uint32(10).string(message.address);
    }

    for (const v of message.initialClaimableAmount) {
      Coin.encode(v, writer.uint32(18).fork()).ldelim();
    }

    writer.uint32(34).fork();

    for (const v of message.actionCompleted) {
      writer.bool(v);
    }

    writer.ldelim();
    return writer;
  },

  decode(input, length) {
    const reader = input instanceof _m0.Reader ? input : new _m0.Reader(input);
    let end = length === undefined ? reader.len : reader.pos + length;
    const message = createBaseClaimRecord();

    while (reader.pos < end) {
      const tag = reader.uint32();

      switch (tag >>> 3) {
        case 1:
          message.address = reader.string();
          break;

        case 2:
          message.initialClaimableAmount.push(Coin.decode(reader, reader.uint32()));
          break;

        case 4:
          if ((tag & 7) === 2) {
            const end2 = reader.uint32() + reader.pos;

            while (reader.pos < end2) {
              message.actionCompleted.push(reader.bool());
            }
          } else {
            message.actionCompleted.push(reader.bool());
          }

          break;

        default:
          reader.skipType(tag & 7);
          break;
      }
    }

    return message;
  },

  fromJSON(object) {
    return {
      address: isSet(object.address) ? String(object.address) : "",
      initialClaimableAmount: Array.isArray(object === null || object === void 0 ? void 0 : object.initialClaimableAmount) ? object.initialClaimableAmount.map(e => Coin.fromJSON(e)) : [],
      actionCompleted: Array.isArray(object === null || object === void 0 ? void 0 : object.actionCompleted) ? object.actionCompleted.map(e => Boolean(e)) : []
    };
  },

  toJSON(message) {
    const obj = {};
    message.address !== undefined && (obj.address = message.address);

    if (message.initialClaimableAmount) {
      obj.initialClaimableAmount = message.initialClaimableAmount.map(e => e ? Coin.toJSON(e) : undefined);
    } else {
      obj.initialClaimableAmount = [];
    }

    if (message.actionCompleted) {
      obj.actionCompleted = message.actionCompleted.map(e => e);
    } else {
      obj.actionCompleted = [];
    }

    return obj;
  },

  fromPartial(object) {
    var _object$address, _object$initialClaima, _object$actionComplet;

    const message = createBaseClaimRecord();
    message.address = (_object$address = object.address) !== null && _object$address !== void 0 ? _object$address : "";
    message.initialClaimableAmount = ((_object$initialClaima = object.initialClaimableAmount) === null || _object$initialClaima === void 0 ? void 0 : _object$initialClaima.map(e => Coin.fromPartial(e))) || [];
    message.actionCompleted = ((_object$actionComplet = object.actionCompleted) === null || _object$actionComplet === void 0 ? void 0 : _object$actionComplet.map(e => e)) || [];
    return message;
  }

};